/* 
 * @Program for Transforming XML with SAXFilters
 * XMLwithSAX.java 
 * Author:-RoseIndia Team
 * Date:-23-July-2008
 */
import org.xml.sax.*;
import org.xml.sax.helpers.*;
import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import javax.xml.transform.sax.*;
import java.io.*;

public class XMLwithSAX {

    public final static void main(String[] args) throws Exception {
        class CustomFilter extends XMLFilterImpl {
        }
        FileReader fileReader = new FileReader("Document2.xml");
        BufferedReader br = new BufferedReader(fileReader);
        InputSource inputSource = new InputSource(br);

        XMLReader parser = XMLReaderFactory.createXMLReader();
        CustomFilter filter = new CustomFilter();
        filter.setParent(parser);

        SAXSource source = new SAXSource(filter, inputSource);

        FileWriter fw = new FileWriter("out.xml");
        BufferedWriter bw = new BufferedWriter(fw);
        StreamResult result = new StreamResult(bw);

        TransformerFactory factory = TransformerFactory.newInstance();
        Transformer transformer = factory.newTransformer();
        transformer.setOutputProperty(OutputKeys.INDENT, "yes");
        transformer.transform(source, result);
    }
}

